Installing QtVCP

More
27 Aug 2021 09:57 #218879 by robertspark
Replied by robertspark on topic Installing QtVCP
does the first post spoiler for master ,/ buildbot now need updating for python3 (path listed as python2.7)?

Please Log in or Create an account to join the conversation.

More
27 Aug 2021 10:01 #218880 by phillc54
Replied by phillc54 on topic Installing QtVCP
It sure does, thanks Robert.

Please Log in or Create an account to join the conversation.

More
27 Aug 2021 10:44 #218892 by robertspark
Replied by robertspark on topic Installing QtVCP
No problem, happy to help, but feel like an arm chair moaner pointing at everything which seems / appears wrong.

I see all the commits that a small group of you guys seem to do continuously

Please Log in or Create an account to join the conversation.

More
27 Aug 2021 10:46 #218893 by phillc54
Replied by phillc54 on topic Installing QtVCP
Not a problem, it is hard to keep track of everything. (Well it is for me anyway)

Please Log in or Create an account to join the conversation.

More
27 Aug 2021 10:48 #218894 by robertspark
Replied by robertspark on topic Installing QtVCP
at least I'm now just starting to see the patterns of linuxcnc and slowly the things are beginning to click
The following user(s) said Thank You: phillc54

Please Log in or Create an account to join the conversation.

More
07 Sep 2021 18:51 - 07 Sep 2021 20:15 #219869 by Roguish
Replied by Roguish on topic Installing QtVCP
Install script not working quite right.........

OK.  created a VM with the downloaded 2.8 .iso.   no problem there.
Copied and ran the '2.8 branch instructions' and ran the script.      thanks for the script.  very handy.
But, errored.  see the image.
Looked for the qtvcp_plugins.py file.  Found it in the usr/lib/python2.7/dist-packages/qtvpc directory.
Made a link to that in the .designer/plugins/python directory (had to make both the plugins and python directories.)
QTdesigner starts, but no linuxcnc widgets......

Where do I go from here?????

checked.  there is no other qtvcp_plugins.py.     not in python3, or python3.7...........
where can it be?


 
Attachments:
Last edit: 07 Sep 2021 20:15 by Roguish.

Please Log in or Create an account to join the conversation.

More
07 Sep 2021 23:26 - 08 Sep 2021 02:06 #219894 by phillc54
Replied by phillc54 on topic Installing QtVCP
It seems that you default python version is set to 3.x rather than 2.7, I think for LinuxCNC 2.8 it needs to be set to python2.7

EDIT: Fix typo 
Last edit: 08 Sep 2021 02:06 by phillc54.

Please Log in or Create an account to join the conversation.

More
08 Sep 2021 02:03 #219903 by cmorley
Replied by cmorley on topic Installing QtVCP
2.8 - you use python 2
master you use python 3

I you're going to use 2.8 then you can use your lathe macros just as before.
The following user(s) said Thank You: phillc54

Please Log in or Create an account to join the conversation.

More
08 Sep 2021 20:52 #220003 by Roguish
Replied by Roguish on topic Installing QtVCP
well, again thanks.
I switched to 2.9pre on the buildbot and used that script. changed the pointer as required, and it worked. cool.

but I can't get linuxcnc to use my modified .ui file.
rather than clutter up this I'll post a new topic.

Please Log in or Create an account to join the conversation.

More
13 Oct 2021 09:18 #223013 by hottabich
Replied by hottabich on topic Installing QtVCP
LINUXCNC - 2.9.0-pre0-4760-gc4345283f usr/lib/python3/dist-packages/qtvcp/designer/install_script. Start designer. What's wrong here?
Attachments:

Please Log in or Create an account to join the conversation.

Moderators: cmorley
Time to create page: 0.141 seconds
Powered by Kunena Forum